Bug 128107 - ip tunnel add does not exit with an error
Summary: ip tunnel add does not exit with an error
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: iproute   
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-18 03:35 UTC by Guðmundur D. H.
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: iproute-2.6.14-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-31 10:56:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hosts.equiv patch (867 bytes, patch)
2005-01-14 14:39 UTC, Karel Zak
no flags Details | Diff

Description Guðmundur D. H. 2004-07-18 03:35:49 UTC
Description of problem:
ip tunnel add does not exit with an error when creating a tunnel with
the same remote and local address of another tunnel.

Version-Release number of selected component (if applicable):
iproute-2.4.7-14

How reproducible:
[root@yztiklettur root]# ip tunnel add testing123 mode ipip remote
192.168.1.1 local 192.168.1.12
[root@yztiklettur root]# ip tunnel add testingabc mode ipip remote
192.168.1.1 local 192.168.1.12
[root@yztiklettur root]# echo $?
0
[root@yztiklettur root]# ip tunnel
sit0: ipv6/ip  remote any  local any  ttl 64  nopmtudisc
tunl0: ip/ip  remote any  local any  ttl inherit  nopmtudisc
testing123: ip/ip  remote 192.168.1.1  local 192.168.1.12  ttl inherit 
  
Actual results:
The command does not return with an error.

Expected results:
The command should return with an error.

Additional info:
All errata has been applied.

Comment 3 Radek Vokal 2005-02-25 10:57:40 UTC
Reproduced here. Seems like ioctl() does everything correctly and returns no
error when creating new tunnel over an existing one, so it's not internall
problem of iproute. Will need some rework for iproute or changes in ioctl .. 

Comment 4 Radek Vokal 2005-10-31 10:56:12 UTC
Ok, I've added a warning message when tunnel already exists, please check
iproute-2.6.14-7


Note You need to log in before you can comment on or make changes to this bug.